export default {
  data() {
    return {
      needAuth: false,
    };
  },

  onShow() {
    this.needAuth = this.isEmpty(this.userInfo);
    this.getCart(data => {
      if (data) {
        this.$store.commit('updateCartNum', data.length);
        if (data.length) uni.setTabBarBadge({ index: 2, text: String(data.length) });
        else uni.removeTabBarBadge({ index: 2 });
      } else {
        uni.removeTabBarBadge({ index: 2 });
      }
    });
  },

  onLoad() {
    this.getUser();
  },

  methods: {
    logged(userInfo) {
      this.userInfo = userInfo;
      this.needAuth = false;
    },
  },
};
