export default {
  data() {
    return {
      dataList: [],
      cfmOpts: {
        show: false,
        content: '确认删除么？',
        index: -1,
      },
    };
  },

  onShow() {
    this.getAddress();
  },

  methods: {
    clickAddress(item) {
      if (this.pageParams.type == 'select') {
        uni.setStorageSync('selectAddress', item);
        this.wjRouterGo(1);
      }
    },

    getAddress() {
      this.wjRequest('/address', 'get', {}, res => {
        this.dataList = res.data;
      });
    },

    setDefault(item, index) {
      if (item.default) return;
      this.wjRequest('/address/setDefault', 'get', { id: item.id }, res => {
        if (res.success) {
          for (let i = 0; i < this.dataList.length; i++) this.dataList[i].default = 0;
          this.$set(this.dataList[index], 'default', !item.default);
          this.$forceUpdate();
        }
      });
    },

    beforeDelete(index) {
      this.cfmOpts.index = index;
      this.cfmOpts.show = true;
    },

    onConfirm() {
      this.wjRequest('/address/delete', 'get', { id: this.dataList[this.cfmOpts.index].id }, res => {
        if (res.success) {
          this.dataList.splice(this.cfmOpts.index, 1);
        }
      });
    },
  },
};
